# Extensions for CLI authentic2-manage.

Some configurations in Authentic2 can only be performed via the Webadmin.

For automation purposes, this repository provides some useful configuration
functions have been implemented as subcommands to the authentic2-manage command.
This repository is mostly a workaround until those features are eventually
implemented upstream. See [entrouvert-61635].


## Example usage


Create SP options policy named "allow-all":

```
authentic2-manage sp-options-policy \
 --name allow-all \
 --enabled \
 --signed-authn-requests \
 --default-nameid-format email \
 --accepted-nameid-formats email,peristent,transient,uuid
```


To create a new SP using the freshly created SP options policy:

```
authentic2-manage add-service-provider \
 --name "ldap.demo.easter-eggs.com" --slug "ldap" \
 --URL https://ldap.demo.easter-eggs.com/mellon/metadata \
 --attribute uid:uid \
 --attribute mail:django_user_email \
 --enable-following-sp-options-policy \
 --ou default \
 --sp-options-policy allow-all
```


## Build and publish the Debian package

Classical stuff:

```
debuild
dupload ../authentic2-cli-extra-ee_X.Y*.changes
```

On the reprepro server, it can be useful to copy the package accross distributions
without needing to amend debian/changelog, rebuild, dupload.

```
# copy package from bulsseye-ee to buster-ee
sudo -iu eeapt
reprepro -b reprepro/debian-dev copy buster-ee bullseye-ee authentic2-cli-extra-ee
reprepro -b reprepro/debian-dev copy buster-ee bullseye-ee python3-authentic2-cli-extra-ee
```


[entrouvert-61635]: https://dev.entrouvert.org/issues/61635